get
https://publishers.viglink.com/api/merchant/search
The Merchant API let’s you determine approval status and access estimated commission rates at scale.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Authorization HeaderYou must add authorization headers to this request. Please see the Authorization section for further details.
Merchant Search:
You can search through over 50,000 merchants working with Sovrn Commerce using the following url.
https://publishers.viglink.com/api/merchant/search?
Rate Limit
Your calls will be limited to 1 query per 3 seconds. If you exceed our rate limit your queries will be throttled and you will get no response.
Sample call:
curl -i -X GET -H "Authorization:secret {SECRET KEY}" 'https://publishers.viglink.com/api/merchant/search?domain=nike.com'require 'httparty'
headers = {
Authorization: "secret <secret key>"
}
params = {
domain: "nike.com"
}
url = "https://publishers.viglink.com/api/merchant/search"
response = HTTParty.get(url, headers: headers, query: params)Potential Categories
| name | code |
|---|---|
| Consumer Electronics | CE |
| Automotive | AU |
| Fashion & Accessories | FS |
| Health & Beauty | HB |
| Real Estate | RU |
| Art & Entertainment | AE |
| Sports & Fitness | SF |
| Self-Help | SH |
| Travel | TV |
| Financial Services | FI |
| Pets | PT |
| Cell Phones & Mobile | CM |
| News, Books & Magazines | BK |
| Education | ED |
| Other | OT |
| Dating | DT |
| Music & Musicians | MM |
| Food & Drink | FD |
| Home & Garden | HG |
| Adult & Gambling | AG |
| Career & Employment | CA |
| Collectibles | CB |
| Online Services | EM |
| Family & Baby | FB |
| Firearms and Hunting | FH |
| Gaming | GM |
| Jewelry & Watches | JW |
| Lifestyle | LF |
| Motorcycles & PowerSports | MP |
| Shopping & Coupons | SP |
| Toys & Hobbies | HO |
| Cameras & Photo | CP |
| Undefined | UN |
Response Fields
| Field | Sub-Field | Description | Example |
|---|---|---|---|
| page | page returned | 1 | |
| totalPages | total number of pages with records | 1 | |
| totalRecords | total records displayed on this page | 33 | |
| merchants | id | Sovrn Commerce specific unique identifier | 25700 |
| groupId | Sovrn Commerce specific group identifier | 34 | |
| name | name of the merchant | nike.com | |
| groupName | normalized name of merchant | nike | |
| updateDate | last date the merchant program was updated in system | 2015-03-11 | |
| createDate | date the merchant was created in the system | 2011-09-23 | |
| insider | increased commission rate as part of the Insider Program | false | |
| industryTypes | merchant vertical classification | [\{"code"=>"SF", "name"=>"Sports & Fitness"}][{"code"=>"SF", "name"=>"Sports & Fitness"}] | |
| affiliateCPA | CPA program | false | |
| affiliateCPC | CPC program | true | |
| approved | can your campaign earn money on this merchant program | true | |
| domains | an array of the domains that can be affiliated | ["thedraw.nike.com", "nikefactorystore.nike.com", "jobs.nike.com", "niketown.nike.com", "news.nike.com", "insider.nike.com", "nikeid.nike.com", "go.nike.com", "content.nike.com", "nikerunning.nike.com", "photoid.nike.com", "nike.com", "m.nike.com", "store.nike.com", "nikelab.nike.com", "secure-nikeplus.nike.com", "producttesting.nike.com", "secure-store.nike.com", "niketeam.nike.com", "images.nike.com", "click.official.nike.com", "help-en-us.nike.com", "nikeplus.nike.com", "secure-images.nike.com"] | |
| countries | a comma separated string of the two letter country codes where this merchant accepts traffic | us,ca,uk | |
| merchantSensitiveTypes | classification of publishers that this merchant doesn’t work with | Non CPC | |
| rates | an array of the commission rate information, can return different levels of commission, cpc rates, cpa rates, etc... For some merchants we will display a calculated commission rate. This is the average commission rate earned by our publishers for this particular merchant. | \{"min"=>6.0, "max"=>6.0, "type"=>"%", "description"=>"commission(US)", "typeName"=>"%"} |

